Getting started

Welcome to PhotoActions GetWebPics
GetWebPics is media files download manager software. This application will easily allow you downloading pictures, digital photos, wallpapers, flash, movies, music and image-galleries from Internet. It will help you to collect your own galleries of celebrities, babies, cars, sexy bodies and many others.

See the Quick Start topic for the basic steps to download media files.

This software is developed under Windows XP and tested under Windows 9x/Me/NT/2000/XP operating systems.

Try it and get it!!!

See file license for Usage and Distribution license.
Internet distribution: www.photoactions.com

Comments and suggestions are welcome!!!

Send your comments and bug reports to GetWebPics developer's team:
E-mail: comments@photoactions.com

Copyright © 1999-2006 PhotoActions. All rights reserved.


Quick start
GetWebPics is an easy way to download media files (like pictures, video and music) from Internet. You can create and start downloading tasks in a few steps. Let me show it:

1. Run GetWebPics. Press the button "New Normal Task (Ctrl+N)" on Main Toolbar (1). "Normal Task Options" dialog will be started.

2. Input starting address of Internet-site with media files (1). You may check address by means of the button "Browse". Press the button "Start Now!" (2).

Congratulations! You task is started!


Quick start "Templated URL Task"
You can download only those sequences of media files (like pictures, video and music) which will be pointed such as:

www.somesite.com/images/001.jpg
www.somesite.com/images/002.jpg
www.somesite.com/images/003.jpg
...
www.somesite.com/images/010.jpg

This maybe done by means of task based on URL template. It is very simple! For example, let us tune downloading of pictures with addresses printed below.

1. Run GetWebPics. Press the button "New Task Based on URL Template (Ctrl+U)" on Main Toolbar (1). "Task Options Based on URL Template" dialog will be started.

2. Input task name (1) - www.somesite.com and press the button "Next" (2).

3. Input URL template (1) - www.somesite.com/images/{1}.jpg. Instead of {1} number sequence will be put, which we will include in the list "List of substitutions" (2).

4. Press the button "New..." (1) and select necessary substitution - "Numbers" (number sequence).

5. In dialog "Numbers" (1) input the following values: "Min value" -1, "Max value" - 10, "Interval" - 1, "Number of digits" - 3. Press the button "OK".

6. Press the button "Test", to check correctness of input. In the opened dialog "URLs" must be list of addresses, which was printed at the top of the page.

7. Now, if you input address of the real site with pictures you can start downloading of images after pressing the button "Start Now!".


Quick start "Search Task"
You can search and download pictures from Internet. Simply input keywords and the program will start downloading pictures according to these words.

1. Run GetWebPics. Press the button "New Search Task (Ctrl+E)" on Main Toolbar (1). "Search Task Options" dialog will be started.

2. Input keywords (1) and press the button "Start Search!" (2).

3. Mark desirable thumbnails to download by click in square of upper left corner of thumbnail.

4. Start downloading of marked thumbnails by the "Start/Resume task" button on the Main Toolbar.

Congratulations! You task is started!


Comparison of versions

Home Page | Download | Register

There are two versions: GetWebPics Home and GetWebPics Pro. GetWebPics Home - is a restricted version , without some expanded features of Pro version.

Differences between these verions are presented in this table:

Feature | GetWebPics Home | GetWebPics Pro
Task types |  |
Normal Task | + | +
Task based on URL template | - | +
Search Task | - | +
Monitoring |  |
Connections tab | + | +
Messages Tab | - | +
Statistics Tab | - | +
Downloading |  |
Basic and web forms authorization | + | +
Size and address filters | + | +
Different types of web-site scanning | + | +
Various file types to download | + | +
Defferent ways of saving media files | + | +
Full control over rejected and failed addresses | + | +
Proxy support | + | +
Multiple connections while downloading | + | +
Reload downloaded media files | - | +
Media Viewer |  |
Slide show | + | +
Media files list view, thumbnail view, detailed view | + | +
Set picture as desktop wallpaper | - | +
Send media files by e-mail | - | +
Video and audio player | + | +
Other |  |
Minimize to tray | - | +
Task import and export | - | +
Integraton with MS Internet Explorer | - | +


How to order
GetWebPics is try-before-you-buy software. The registration gives you the right to use GetWebPics after the 30-day trial period, receive technical support and use features, available only for registered users. Also the nag-screen will not be shown. The all following versions of GetWebPics will be free for you!

Select one of the following ways:

1. Through the World Wide Web. This is the fastest and easiest way. The ordering page is on a secure Netscape Commerce Server, ensuring that your confidential information remains confidential.
https://www.regnow.com/softsell/nph-softsell.cgi?item=4479-10

2. Through the fax or phone. If you don't have convenient Web access, the next best way to order GetWebPics is by fax (also using the credit card) or phone (toll-free). In addition, you can send us the check (American Express Traveller's cheques and Eurocheques are preferred); money orders are also accepted. The order form template, fax & phone numbers and mailing address are in the file order.txt.

After you have done registration procedure, within 24 hours you will receive an e-mail with registration key.


What is GetWebPics?
GetWebPics is media files download manager software. This application will easily allow you downloading pictures, digital photos, wallpapers, flash, movies, music and image-galleries from Internet. It will help you to collect your own galleries of celebrities, babies, cars, sexy bodies and many others.

Build-in media files viewer (video and audio player), thumbnail viewer and fullscreen slideshow with transition effects will help you to preview and manage media files (copy, print, set as wallpaper, send by e-mail, etc.).

You can start downloading media files quickly, simply after inputting the address of the first page with media files gallery. Smart page analyzer will follow every link on the page or script and will download desired pictures, movies and music. If you noticed address media file regularity you can tune the program to direct downloading sequences of media files. You may also search and download pictures by keywords.

The program can download media files from password protected sites. Web authorization based on forms is supported.

To download media files you want, application has various filters to reject unsuitable pictures, audio and music. For instance, size filters (width, height), URL filters (include, exclude substrings), media file name filter (name wildcard) and others.

With GetWebPics you can download various types of pictures (gif, jpeg, png, etc), video files (.avi, .mpeg, etc), audio files (.mp3, .midi, .au, etc) and also Macromedia flash movies. You may tune downloading another filetypes (e.g. zip, rar).

Application has special downloading monitor to control the process of media files downloading. You may look through lists of available, processed, error and rejected addresses with causes of errors, reasons for rejecting and recommendations. It will allow you to restart error and rejected addresses for processing.


Application features
point Search for media files URLs in HTML and JavaScript.

point Direct downloading sequences of media files based on URL template of picture or web-page.

point Search and download pictures by keywords.

point Possibility to download video, audio and flash movies, .

point Password protected sites is possible. Web authorization based on forms is supported.

point File size, picture size, file type, file name mask, URL substrings filters to reject unsuitable media files.

point Exact tuning of downloading performance (number of downloading threads, timeout, number of connection attempts and timeout between connections).

point Embedded media files viewer (video and audio player) with thumbnail view, and fullscreen slideshow with transition effects.

point Downloading monitor to control the process of media file downloading.

point Opportunity to send the media files you like by e-mail to you friends.

point Possibility to try downloading again media files and pages, downloading of which was rejected or finished with error.

point Opportunity to select downloaded media files according to different criteria.


Techical support
We have several addresses that you can use for different purposes. Please use the one that is most appropriate for your type of message. Thank you in advance for not sending large attachments.

Note that some e-mails do get lost (the Internet is not perfect), so if you feel you sent an important message and did not get a response, please do not hesitate to send it again.

Technical Support
Registered users are entitled to technical support, should the need arise. Please contact us by email at support@photoactions.com.

Sales
For information about pricing, special licensing arrangements, or to inform us of a problem you are having with your purchase, please write to <sales@photoactions.com>.

Marketing
Contact <marketing@photoactions.com> to discuss eventual marketing opportunities with us. We are interested in entertaining cross-marketing possibilities and other marketing opportunities.

Feedback
If you have any comments or concerns about GetWebPics direct them to comments@photoactions.com. Your feedback is important to us in order to get an idea of how to make GetWebPics a better product for you. Many of GetWebPics's features and significant portions of GetWebPics's interface have been heavily influenced by comments from users. So if you have a grand idea for a new feature, or a better way of doing something, please drop us a note.

Bug Reports
Although we do our best to test our software rigorously before releasing any public version, there is always a possibility that an incompatibility problem or a bug will surface when the program is used under certain conditions. If you think you have encountered a bug, please see the topic Report a bug for more details.


Report a bug

Home Page | Download | Register

If you think you have found a bug in GetWebPics, please do let us know about it as soon as possible. It is thanks to such reports that GetWebPics has become so reliable. When sending a bug report, please describe the problem in as much detail as possible. The clearer your feedback, the more likely the author will be able to find the bug and fix it.

Note that not all bugs that you may encounter while using GetWebPics are fault the program. There are many bugs in Windows itself as well as in third-party programs and drivers that can cause your computer to generate errors or work unreliably. Unfortunately, if you encounter such a bug (external origin), there is usually nothing the author can do to fix it, but we will try to inform you if we suspect the problem is not in GetWebPics.

Often, though, you can fix external bugs yourself by updating old system files and drivers. Go to the "Product Updates for Windows" Web page to see which system files have been fixed and updated by Microsoft:

http://www.microsoft.com/windows/downloads/

Please verify, if possible, whether the bug has been fixed in the latest update. Very important: Remember to indicate which program and version number you are using (for example: GetWebPics v1.2). If you feel you need to send screen shots of error messages, please save them in the GIF format (not JPG) so their size is reduced as much as possible.

Send your bug report to the following e-mail address:

<bugs@photoactions.com>
(no big attachments please!)

Example of a Helpful Bug Report

Subject:
Bug in GetWebPics v1.2 download problems

Message body:
System: Windows 2000, MS IE 5.5
Processor: Pentium III 950Mhz
RAM: 128Mb

Bug: Files fail to download under the following conditions...


Acknowledgments
GetWebPics incorporates image compression/decompression code by the CxImage, which is used with their permission. CxImage Copyright (C) 2001 - 2004, Davide Pizzolato. Other information: about CxImage, and the latest version, can be found at the CxImage home page: http://www.xdp.it.

GetWebPics incorporates http protocol code by the Curl, which is used with their permission. Curl Copyright (c) 1996 - 2004, Daniel Stenberg, <daniel@haxx.se>. Other information: about Curl, and the latest version, can be found at the Curl home page: http://curl.haxx.se.

Thanks to Google for possibility to search pictures.

Thanks to the beta testers who help track down problems before GetWebPics is publicly released.

Thank you to all other users who have contributed to GetWebPics by communicating problems, suggestions, designs and art work.

Finally, thanks to all users who supported the development of this software by registering and recommending it to their friends and colleagues.


Main window

Home Page | Download | Register

Main window consists of the following parts:
1. Main Menu.
2. Main Toolbar.
3. Tasks Tree - here all tasks created by you are displayed. Icons by task name signals about task state: - unstarted task; [image] - started task; [image] - interrupted task; [image] - queued task [image] - completed task. You may organize your tasks including them into folders.
4. Media Files Tab (panel for viewing media files; list view or thumbnail view), Address Queue Tab (list of addresses taking part in downloading) and Search Pictures tab (thumbnails of searched pictures).
5. Downloading Monitor - reflects downloading process.
6. Status bar - views current state of the program.


Downloading Monitor

Home Page | Download | Register

Downloading monitor allows you:

1. Watch task status - how many links are there in the queue, number of downloading pictures and amount of errors (header of Downloading Monitor).
2. Watch current connections and reject downloading of unnecessary files ("Connections" tab).
3. See messages about starting and completing of tasks, and also error, which brought to breaking the task ("Messages" tab).
4. Watch the speed of downloading web-pages and pictures; watch the number of downloaded kilobytes ("Statistics" tab)


Connections Tab

Home Page | Download | Register

Connections tab shows the state of connections, through which web-pages and media files are downloading.

The list of connections consists of the following columns:
1. "Address" - URL of page or media file, which is downloading through this connection.
2. "Total size" - page or media file size in bytes.
3. "Loaded size" - number of already downloaded bytes of the page or media file.
4. "Progress bar" - shows how much is left to complete downloading of page or media file through this connection.
5. "Status" - state of connection.

You may reject downloading of unnecessary files selecting it and choosing the command "Cancel" in the context menu.

Copyright © 1999-2006 PhotoActions. All rights reserved


Messages Tab

Home Page | Download | Register

Messages tab contains messages about starting and completing of tasks, also error which brought the interruption of the task.

Icon [image] means that the task was interrupted by error. Description of error you can read in tooltip, which will appear when cursor is hovered on the message.

You may clear all the messages though context menu "Clear Messages".

List of messages includes the following columns:
1. "Time" - message time.
2. "Messages" - short description of event.


StatisticsTab
In Statistics tab you can watch information about speed of downloading, number of downloaded media file and amount of downloaded kilobytes.


Main Toolbar

Home Page | Download | Register

"Start/Resume task (Ctrl+S)" – starts selected task for downloading. By means of this button you can resume previously paused task. You can resume tasks with this [image] icon.
Submenu of this button:
"Start/Resume task" – previously looked through.
"Restart" – starts selected task for downloading and clean download media files list (but does not remove media files from hard disk). All media files will be loaded again.
"Reload media files" – in this case there is no searching of media files on site – only previously downloaded media files are loaded.
"Pause task (Ctrl+T)" – pause selected task. You can resume downloading by pressing "Start/Resume task" button.
Submenu of this button:
"Pause task (Ctrl+T)" – previously looked through.
"Finish Current Connections and Pause (Ctrl+F)" - all currently downloading media files will be downloaded up to the end. Then task will be paused.
"Pause All (Ctrl+A)" - pause all started tasks.
"New normal task (Ctrl+N)" – opens "Normal Task Options" dialog for creating new normal task.
"New task based on URL template (Ctrl+U)" – opens "Task Options Based On URL Template" dialog for creating new task based on UTL template.
"New Search Task (Ctrl+E)" – opens "Search Task Options" dialog for creating new search pictures task.
"Show task options (Ctrl+O)" – opens "Task Options" dialog for tuning selected task.
"Delete Task / Folder (Del)" – removes selected task or folder.
"Select media files by conditions" – opens "Select media files by" dialog.
"Copy selected media files (Ctrl+Y)" – copies selected media files to specified location.
"Send by e-mail" - send by e-mail selected media files.
"Delete selected media files (Del)" – removes selected media files from pictures list and hard disk.
"Show Last Downloaded Media file" – if this button is checked, when downloading, the last previously downloaded media file will be shown.
"Change Media Files View" - switches media file preview between list view and thumbnail view.
"Full screen mode (Enter)" – switch on full screen mode for showing media files.
"Start slide show (Ctrl+L)" – starts slide show.
"Minimize to Tray (Ctrl+M)" - hide main window to system tray icon. In Windows XP/2000 balloon tooltips is used to notify completed tasks.
"Help (F1)" – shows program help.


Media Files Tab

Home Page | Download | Register

Media files tab is intended for viewing downloaded media files. Three modes are possible: list view, detailed view and thumbnail view. You can switch these modes by the button [image] "Change Media Files View" in the main tool bar. In detail view you can choose visible columns with various information about downloaded media file. This can be done by right click of mouse on detailed view header. Also you can copy text from columns to clipboard by selecting rows in the detailed view and choosing command "Copy to clipboard" in context menu.

Media files toolbar buttons:

"Previous media file (BackSpace)" – shows previous media file in media files list.
"Next media file (Space)" – shows next media file in media files list.
"Best fit" – view the picture as the best fit for your window.
"Actual size" – view the picture in full size.
"Toggle fullscreen" – toggle fullscreen and windowed mode of showing media files.
"Zoom in" – increase the picture preview size.
"Zoom out" – decrease the picture preview size.
"Delete" – removes current media file from media files list and hard disk.
"Print" – shows print dialog for printing current picture.
"Copy to" – copy current media file to specified location.
"Open media file in another program" – Open media file in another viewer, installed on your computer.
"Open media file folder" – opens folder which contain current media file.
"Set as wallpaper" – set picture as desktop wallpaper.


Address Queue Tab

Home Page | Download | Register

Here you may look through lists of available, processed, error and rejected addresses with causes of errors, reasons for rejecting and recommendations. You also can restart error and rejected addresses for processing.

Available addresses - will be processed after running the task.
· You may put addresses for reprocessing to this list from another lists (for example from the "Rejected" list).
· For necessary addresses to be processed first select them and do command "Move to Queue Top".
· You may abort address processing - select them and do command "Abort Downloading". They will be listed into the "Aborted" list.

Processed addresses - addresses, processing of which was a success.
· You may move selected addresses to the "Available" list for reprocessing by means of "Move to Available" command. After running the task they will be processed.

Failed addresses - addresses, processing of which stopped by error.
· Error description is in the field "Error". Advices are in the field "Recommendation".
· You may move selected addresses to the "Available" list for reprocessing by means of "Move to Available" command. After running the task they will be processed.

Rejected addresses - addresses, which were rejected because they do not correspond to any condition.
· Description of condition, because of which the address was rejected is in the field "Reject reason". Advices how to switch off this condition is in the field "Recommendation".
· You may move selected addresses to the "Available" list for reprocessing by means of "Move to Available" command. After running the task they will be processed.

Aborted addresses - addresses, which were aborted by means of "Move to Aborted" command in the "Available" list or by means of "Cancel" command in the "Connections" tab.
· You may move selected addresses to the "Available" list for reprocessing by means of "Move to Available" command. After running the task they will be processed.

Toolbar commands:
- "Move selected addresses to Available (Ctrl+Z)" - move selected addresses to the "Available" list for reprocessing.
- "Abort downloading of selected addresses (Ctrl+X)" - move selected addresses to the "Aborted" list
- "Move selected addresses to the top of queue to download first" - move selected addresses to the top of "Available" queue to download first.
- "Select all addresses (Ctrl+A)" - select all addresses.
- "Select only media files (Ctrl+Shift+A)" - select only media files.
- "Select addresses by mask" - select addresses by mask (like *.gif, 1?.jpg).
- "Address properties" - show address properties.
- "Delete selected addreses" - delete selected addreses.

There are several additional commands in the lists context menu.


Search pictures Tab
Search pictures tab is intended for searching pictures by keywords. It appears only for "Search" task.

Input keywords (or leave those words which you input when creating the task) and press the "Search" button (it has menu to continue search or restarted with clearing previous results).

You may start search only when no one task is started.

When searching thumbnails of pictures corresponding to keywords will appear. Search will be stopped when all pictures are found or number of pictures exceeds the number input in task properties ("Maximum pictures to search").

You may pause search by the "Stop search" button.

You can see failed and rejected urls (and comments) when searching in "Address Queue Tab".

After appearing thumbnails they may be marked for downloading pictures at full size. The mark is put in the square in the upper left corner of thumbnail. You may also mark thumbnail in context menu.

After thumbnail is marked you may start downloading of it by pressing the "Start/Resume task" button on the main toolbar (usual button of running tasks).


Status Bar
Status bar views current state of the program.

Icon [image] means, that there are tasks in queue.

Icon [image] means, that the task is started for downloading. Near it the name of the started task.

Icon [image] means, that the task is completed. Near it the name of the last completed task.


Main Options Dialog
Main Options – it is a dialog for tuning of common parameters of program: log file, proxy server, file types for downloading, parameters of connections and slide show options. To call Main Options dialog select menu "Tools\Options" or press "Ctrl+P".


General
On this page you can input folder for saving media files by default, flag of showing dialog "Tip of the Day" when starting program and flag of saving Main Window position.

You can select default profile for new Normal Task. This profile will be applied to every new Normal Task you created.


Proxy

Home Page | Download | Register

On this page you can set options of proxy server, if you connected to internet through it.

There are several modes of switching on proxy-server:
1. "Not use proxy" – proxy-server is not used.
2. "Use MS Internet Explorer Settings" – MS Internet Explorer Settings to detect proxy-server will be used. If proxy-server is protected by password, switch on "Proxy protected by password" flag and input in the field "User Name" and "Password" necessary meaning.
3. "Use Proxy" – choosing this option input address and proxy-server port in corresponding fields. If proxy-server is protected by password, switch on "Proxy protected by password" flag and input in the field "User Name" and "Password" necessary meaning.

You may choose proxy type. Also HTTP è SOCKS5 are supported.


Downloading

Home Page | Download | Register

This page is intended for tuning downloading performance.

1. Amount of download thread – allows inputting number of simultaneously downloading threads. For fast connections you may increase this value, for slow - reduce.
2. Pause between connections - will allow you to set pause between connections if server has protection against massive connections, simultaneously you may reduce the number of connections.
3. Timeout for network operations – input timeout of waiting answer for connect, send and receive. If timeout error appears too often increase this number.
4. Connection attempts – input number of attempts of connecting with address in case of net errors. For slow and unstable connections - increase this number.

Input field "Auto saving" sets interval of saving current state of started task. It allows you after system or program failure continue interrupted downloading.


Filetypes

Home Page | Download | Register

On this page you can specify file types (file extensions), which you want to download.

You can input your own file types:
1. Press the button "New…"
2. In the dialog "New file type" input category of file type in the first input field (any line).
3. In the second input field input extension name (for instance: .gif).
4. In addition you can input File content type (for instance: image/gif).
5. Press the button "OK".

You can also edit already existing file type names by means of such dialog as "Edit File Type". To call it select in the list necessary file type or category and press the button "Edit…".

By means of the button "Delete" you can remove selected file type or category.


Slide show
In this tab you can tune options of slide show regime.

"Delay" - interval between picture change in seconds.

"Use effects in full screen" - includes effects of transition between pictures in fullscreen mode.

"Use effects only in Slide show" - includes effects of transition between pictures only in slide show regime, if check box is switched off - effects are used in fullscreen mode and slide show mode.

"Use random effects" - type of effect for transition between pictures is selected randomly.


Debugging
You may switch on debug mode, if you have any problems with this program. In this case all program steps will be saved in log file (possibly the program will work more slow).

If you have any problems with this program press switch on debug mode, repeat the problem steps, press the button "Send Log File to Support". The file will be sent to support team.

Parameters of log file:
1. "Clear log file if size is maximum" check box.
2. "Maximum size" - when maximum size is reached log file is cleaned if option "Clear log file when size is maximum" is switched on.

Media viewer using third part plugins (ActiveX) to play video and audio files. And if you have any problems with program stability when playing music and video you should download latest version of this plugins. GetWebPics uses the following plugins: MS Windows Media Player (audio, video), Apple QuickTime (QuickTime video, audio like ".mov") and Macromedia Flash Played for flash movies.

If after update trouble plugin problems still exists you can switch off this plugin.


Normal Task Options Dialog
Normal Task Options – is a dialog of tweaking of normal task parameters. To call Normal Task Options dialog select normal task in tree ( [image]) and press the button "Show Task Options" on the toolbar or select menu "Task\Task Options" or call context menu of task tree and select menu "Task Options" or call "Ctrl+O".

Copyright © 1999-2006 PhotoActions . All rights reserved.


General

Home Page | Download | Register

This page is intended for:
1. Change of task name.
2. Starting address.
3. Site access type.

Input starting address in the field "Starting URL". If necessary, input name and password for accessing site.

You can check rightness of input starting address: press the button "Browse" – internet browser with this address will appear.

"Site has web interface authorization" - check this box if site requires authorization through web-form. When starting the task authorize in the opened dialog with web browser. Input authorization address in the field "Authorization URL".


Download options
This page allows fulfill easily downloading options by previously saved values. Select in list name of saved profile. Apply profile by "double click" on profile name. You can save your own tunings by means of the button "Create New..." and remove unnecessary profiles by means of the button "Remove".


Scanning

Home Page | Download | Register

This page allows you tuning precisely options of scanning html-files in order to find references to media files.

Levels of scanning web-pages for media files:
1. Scan this page only – this option allows you scanning only those addresses pointed as starting.
2. Scan this page and <?> levels – GetWebPics will follow links inside the site but not deeper than specified level.
3. Scan all levels – all levels of site will be scanned.

Scan pages in:
1. Current directory – only pages in this directory will be scanned.
2. Current site – only pages saved on this site will be scanned.
3. Everywhere – all pages on which there are links on this site will be scanned.

Download media files from pages in:
1. Current directory – media files will be loaded only from those pages which are in the folder input by starting address.
2. Current site – media file will be downloaded from those pages which are saved on this site.
3. Everywhere – media file will be downloaded from those pages on which there are links to this site.


Filetypes
You may input file extensions for downloading (pictures, flash, compressed files, movies etc.).

By default the first category is selected (Internet Pictures). It is possible to create, edit and delete categories in the "Filetypes" tab in the Options Dialog.

You may also input your own file extensions for the current task only (in the field "Additional file extensions").

If in URL, which points to media files, there is no special extension (e.g. URL point to HTML pages looks as follows http://www.site.com/gallery.php, but URL point to pictures will be http://www.site.com/image.php) you actions:

1. For pictures (and other media files) it is usually detected that it is a media file already in the process of downloading. But in this case URL filters may not work proper (because before downloading file types are unknown). If you use them look through paragraph 3.

2. You can input additional file types (if they are known to you) in the field "Additional content types". More information about content types (MIME).

3. You can input substrings of URL, which point to media files. In the above given example it will be image.php.


Size Filters

Home Page | Download | Register

Here you can input different size filters on downloading media files.

1. Minimal sizes of downloading picture (width and height).
2. Maximal sizes of downloading picture (width and height).
3. Minimal and maximal file size.

Note: detecting of picture sizes accessible only for the following formats: Jpeg, png, gif, bmp


Url Filters
Here you can input different filters for page and media file addresses, according to which media file search wil be carried out. Usage of filters will allow you to get necessary media files quicker.

You may input filters for excluding addresses for searching/downloading set as well as for making searching/downloading set narrower by means of including filters. If you use excluding filter to address address is rejected, in case address matched at least one excluding filter. If you use including filters to address, address accepts to further processing, in case address matched at least one including filter.

Filters can be of three types: substrings, URL masks, RegExp (regular expressions).

Substrings.
Processing addresses by this filter type substrings enumerated in this filter (like 'thumbs;photo') are searching in address.

URL masks.
Processing addresses by this filter type address is checked for matching mask. E.g. mask *user/mike/photos/???.jpg matches the following addreses:
http://www.server.com/user/mike/photos/001.jpg,
http://www.server.com/user/mike/photos/111.jpg,
http://www.server2com/user/mike/photos/111.jpg, etc.
Masks uses Visual Basic LIKE syntax. Symbols used: * - match zero or more char, ? - match any one char, [a-z] - match char set, [!a-z] - match a char if NOT in set, # - match any digit. You can read more here: Like Operator (Visual Basic).

RegExp (regular expressions).
Processing addreses by this filter type substrings matching pattern are searching in address (in contrast to URL masks where it is necessary to input mask of the whole address). Syntax of regular expressions in Perl-style is used. You can read more about regular expressions here: www.regular-expressions.info or here: www.perl.com.

If necessary you can globally save exclude or include filters with the "Save Presets" button. You can load presets by means of the "Load Presets" button.


Save Options

Home Page | Download | Register

On this page select folder for saving downloaded media files. It may be set relatively to the folder pointed in the Main Options (Ctrl+P). Or absolut path can be input.

You can set three types of saving files:
1. To one folder - Folder for media files.
2. Media files are saved to those folders which contained html-files with those media files. For instance:
Page address: www.photoactions.com/gwp/index.htm.
There is an media file on this page title.gif.
This media file will be saved by the following path:
<Folder for media files>/www.photoactions.com/qwp/title.gif.

3. Media files are saved to those folders which contained these media files on site. For instance:
Media file address: www.photoactions.com/gwp/images/title.gif.
This media file will be saved by the following path:
<Folder for media files>/www.photoactions.com/qwp/images/title.gif.


Task notes
On this page you can set task notes.


Task Options Based On URL Template Dialog
Task Options Based on URL Template – is a dialog of tweaking of task based on URL template parameters. To call Task Options Based on URL Template dialog select task based on URL template in tree ( [image]) and press the button "Show Task Options" on the toolbar or select menu "Task\Task Options" or call context menu of task tree and select menu "Task Options" or call "Ctrl+O".

Copyright © 1999-2006 PhotoActions . All rights reserved.


General

Home Page | Download | Register

This page is intended for:
1. Change of task name.
2. Site access type.

You may also input the address of picture gallery. It will be used for the "Open Starting URL in Browser" command. It is not obligatory to input this address.

If necessary, input name and password for accessing site.

"Site has web interface authorization" - check this box if site requires authorization through web-form. When starting the task authorize in the opened dialog. Input authorization address in the field "Authorization URL".


URL Template
In this tab you can tune URL template.

In the input field "URL template" input URL template. Those parts which will be changed in the address replace by the following construction - {?}. Instead of '?' put the number of corresponding substitution from "List of substitutions". This list can be fulfilled by means of the button "New...", selecting the type of corresponding substitution.

For example the media files have the following addresses:

http://www.somesite/first/folder_a/01.jpg
http://www.somesite/first/folder_a/02.jpg
...
http://www.somesite/first/folder_a/10.jpg
http://www.somesite/first/folder_b/01.jpg
http://www.somesite/first/folder_b/02.jpg
...
http://www.somesite/first/folder_b/10.jpg
http://www.somesite/second/folder_a/01.jpg
http://www.somesite/second/folder_a/02.jpg
...
http://www.somesite/second/folder_a/10.jpg
http://www.somesite/second/folder_b/01.jpg
http://www.somesite/second/folder_b/02.jpg
...
http://www.somesite/second/folder_b/10.jpg

In input field "URL template" input the address http://www.somesite/{3}/folder_{2}/{1}.jpg

Press the button "New...". In the first turn select the substitution "Numbers..."

"Min value" - starting value from which counting begins.
"Max value" - the last value. When reaching this value, the value of the following substitution increases (for example {2} - from 'a' to 'b') if it exists and counter will be "Min value". Counting will be started again. If it is the last substitution in the list, downloading will be completed. The rest of substitutions work in the same manner.
"Interval" - number of counter increasing, for example, if interval - 2, the counter will be increases as follows: '1', '3', '5'...
"Number of digits" - quantity of figures in substitution. For example: digits - 1: 1, 2, 3..., digits - 2: 01, 02, 03 .. 10 ... 120, digits - 3: 001, 002, 003.

In our example values must be as shown in the media file above.

Again press the button "New...". Select the substitution "Chars..."

You can input symbols from A-Z or a-z.

In our example values must be as shown in the media file above.

Again press the button "New...". Select the substitution "Strings..."

In this dialog you can input the list of strings for substitution. The will be substituted in order given in this dialog.

Now press the button "Test...". "URLs" dialog will appear where you can check correctness of input template and substitutions.

That is all. URL template is input. You can start downloading.


Search Task Options Dialog
Search Task Options – is a dialog of tweaking of search task parameters. To call Search Task Options dialog select "search" task in tree ( [image]) and press the button "Show Task Options" on the toolbar or select menu "Task\Task Options" or call context menu of task tree and select menu "Task Options" or call "Ctrl+O".

Copyright © 1999-2006 PhotoActions . All rights reserved.


General

Home Page | Download | Register

This page is intended for:
1. Change of task name.
2. Keywords.

Input keywords in the field "Keywords". Keywords may be in inverted commas in order to find the most exact word combination.


Size Filters

Home Page | Download | Register

Here you can input different size filters on downloading pictures.

1. Minimal sizes of downloading picture (width and height).
2. Maximal sizes of downloading picture (width and height).
3. Minimal and maximal file size.

Note: detecting of picture sizes accessible only for the following formats: Jpeg, png, gif, bmp


"Select media files" Dialog

Home Page | Download | Register

By means of this dialog you can select downloaded media files according to determined conditions.

You can select media files according to the following conditions:
1. File size (maximum and minimum).
2. Image sizes (maximum and minimum).
3. File name (by mask).

For using required condition switch on flag near this condition.

You can input several file masks, divided by semicolon (e.g. *.gif;*.jpg). Sign ? means any letter or figure, sign * means several letters or figures.


Web authorization
Several sites have web-authorization - inputting of name and password through web-form. GetWebPics can download images from these sites after user authorization. You should do:
1. Open TaskOptions dialog.
2. Switch on the check box "web-authorization" on General tab.
3. Run the task.
4. In the opened dialog with web-browser make moves necessary to authorize on site.
5. Press the button OK.

Notice - Several sites have specific methods of user identification. GetWebPics cannot work correct with those sites.


Integration with MS IE

Integration with MS Internet Explorer
If while installing option "Integrate with MS Internet Explorer" was selected, you get an opportunity to download pictures from current site by means GetWebPics. To do this, press the button with GetWebPics icon in MS Internet Explorer toolbar. Dialog of creating new task will appear. Starting address will be URL of current HTML-page. Press the button "Start Now!" to begin pictures downloading.


Tips of the day
question Try task based on URL template for direct downloading of media files (Ctrl + U).

question You may get more detail information about all addresses in the queue for processing, already processed or rejected in the "Address Queue" tab. You may also there reprocess addresses, processing of which stopped by error or rejected by condition.

question If you want to download not only pictures but also video, audio (like mp3) and Macromedia Flash or another file types (like compressed files or movies), switch on corresponding check box in the "Filetypes" tab in the Task Options Dialog. You may also input your own file extensions there.

question You may use effects of transition between pictures not only in slide show regime, but also in full screen mode. In dialog "Main Options" (Ctrl+P) on the tab "Slide show" switch off the flag "Use effects only in Slide Show".

question You can view information about downloaded media file. Select media file, in context menu choose item "Information (Ctrl+I)".

question You can hide GetWebPics window to system tray by means of the button in Toolbar "Minimize to Tray (Ctrl+M)". In Windows XP/2000 balloon tooltips is used to notify completed tasks.

question If you moved folder with downloaded media files and Media Files Viewer says, that picture is not found, you can point the task where the media files are. For it select in the task context menu item "Task folder/Locate media files". In the showed dialog select the path to the media files. Path for saving media files will not be changed.

question You may view messages about starting and completing of tasks in "Messages" tab of Downloading Monitor. If the task was completed with error, you can read description of error in tooltip, which will appear when cursor is hovered on the message.

question If you use task based URL template, but media files does not download correctly - the reason for it is that site probably uses cookies. Switch on in Task Options dialog web authorization check box and input address to web-page with media files.

question You may send the media files you like by e-mail to you friends. To do it select media files in the list or in the thumbnail view and call context menu for selection. Choose "Send by E-mail".

Copyright © 1999-2006 . All rights reserved.


License
The GetWebPics is distributed as try-before-you-buy. This means:

1. All copyrights to GetWebPics are exclusively owned by the author - PhotoActions.

2. Anyone may use this software during a test period of 30 days. Following this test period of 30 days or less, if you wish to continue to use GetWebPics, you MUST register.

3. Once registered, the user is granted a non-exclusive license to use GetWebPics on one computer (i.e. a single cpu), for any legal purpose, at a time. The registered GetWebPics software may not be rented or leased, but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.

4. The GetWebPics unregistered trial version, may be freely distributed, and with exceptions noted below, provided the distribution package is not modified. No person or company may charge a fee for the distribution of GetWebPics without written permission from the copyright holder. The GetWebPics unregistered trial version may not be bundled or distributed with any other package without written permission of the copyright holder.

5. To register you must send registration fee, to one of the authorized registration sites, see REGISTER.TXT.

6. GetWebPics IS DISTRIBUTED "AS IS". NO WARRANTY OF ANY KIND IS EXPRESSED OR IMPLIED. YOU USE AT YOUR OWN RISK. THE AUTHOR WILL NOT BE LIABLE FOR DATA LOSS, DAMAGES, LOSS OF PROFITS OR ANY OTHER KIND OF LOSS WHILE USING OR MISUSING THIS SOFTWARE.

7. You may not use, copy, emulate, clone, rent, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use shall result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.
All rights not expressly granted here are reserved by PhotoActions.

8. Installing and using GetWebPics signifies acceptance of these terms and conditions of the license.

9. If you do not agree with the terms of this license you must remove GetWebPics files from your storage devices and cease to use the product.

Thank you for using GetWebPics.

PhotoActions